Name:		asunder
Summary:	A graphical Audio CD ripper and encoder
Version:	1.6
Release:	1%{?dist}
License:	GPLv2
Group: 		Applications/File
URL:		http://littlesvr.ca/asunder
#moved to .rpmmacros
#Packager:	Marcin Zajaczkowski <mszpak ATT wp DOTT pl>
Source0:	http://littlesvr.ca/asunder/releases/asunder-%{version}.tar.bz2
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#libcddb is forced by libcddb-devel and proper .so
#Requires:	libcddb
Requires:	cdparanoia
#recommended runtime dependencies
Requires:	vorbis-tools
Requires:	flac
#for mp3 encoding (due to Fedora's patent policy available only from rpm.livna.org repository)
#Requires:	lame
#additional runtime dependency (lossy and lossless hybrid compression mode)
#Requires:	wavpack
#version was taken from the program's website
BuildRequires:	libcddb-devel >= 0.9.5
BuildRequires: 	gtk2-devel >= 2.4
BuildRequires:	desktop-file-utils
BuildRequires:	gettext

%description
It allows to save tracks from an Audio CD as WAV, MP3, OGG, FLAC
and/or Wavpack.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
#remove sv locales with broken encoding in 1.5
mv asunder.desktop asunder.desktop.org
cat asunder.desktop.org  | grep -v "Comment\[sv\]" > asunder.desktop

make install DESTDIR=%{buildroot}

%find_lang %{name}

desktop-file-install --vendor fedora \
	--dir %{buildroot}%{_datadir}/applications \
	--delete-original \
	%{buildroot}%{_datadir}/applications/asunder.desktop

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/asunder
%doc AUTHORS COPYING ChangeLog README TODO NEWS
%{_datadir}/applications/fedora-asunder.desktop
%{_datadir}/pixmaps/asunder.png
#man page is not currently available
#%{_mandir}/man1/asunder.1*

%changelog
* Tue Jul 1 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.6-1
- updated to 1.6
- removed explicit libcddb dependency
- broken too long desciption line

* Sun May 4 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.5-1
- updated to 1.5
- added (commented for now) wavpack dependency

* Mon Feb 4 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0.2-1
- updated to 1.0.2

* Tue Dec 18 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0-1
- updated to 1.0

* Fri Nov 09 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.9-2
- applied Michael Schwendt suggestions (all below)
- removed redundant --prefix argument
- used --delete-original to delete .desktop file
- removed minimal required version of libcddb from Requires

* Sat Oct 06 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.9-1
- updated to 0.9

* Mon Sep 03 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.1-2
- added libcddv-devel to BuildRequires section
- removed unused patch

* Sat Sep 01 2007 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 0.8.1-1
- initial release
